!******************************************************************************!
!                                                                              !
!    ctparameter158.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter158.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter158
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter158()
  dZHhHl_QED2 = (8d0*Nc*Ten103*cMU**2d0*coupl(nGC_227)*coupl(nGC_228)*(cMHL**  &
                2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten104*cMC &
                **2d0*coupl(nGC_199)*coupl(nGC_200)*(cMHL**2d0 - rMHL**2d0)/(  &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten105*cMT**2d0*coupl(nGC_219 &
                )*coupl(nGC_220)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0  &
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten106*cMD**2d0*coupl(nGC_203)*coupl(nGC_204)*(  &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*     &
                Ten107*cMS**2d0*coupl(nGC_215)*coupl(nGC_216)*(cMHL**2d0 - rMHL&
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten108*cMB**2d0*coupl&
                (nGC_195)*coupl(nGC_196)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*   &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten118*coupl(nGC_227)*coupl(nGC_228)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten119*coupl(nGC_227)*coupl(nGC_228)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten120*coupl(nGC_227 &
                )*coupl(nGC_228)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten121*coupl(nGC_199)*coupl(nGC_200)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten122*coupl(nGC_199)*coupl(nGC_200)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten123*coupl(nGC_199 &
                )*coupl(nGC_200)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten124*coupl(nGC_219)*coupl(nGC_220)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten125*coupl(nGC_219)*coupl(nGC_220)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten126*coupl(nGC_219 &
                )*coupl(nGC_220)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten127*coupl(nGC_203)*coupl(nGC_204)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten128*coupl(nGC_203)*coupl(nGC_204)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten129*coupl(nGC_203 &
                )*coupl(nGC_204)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten130*coupl(nGC_215)*coupl(nGC_216)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten131*coupl(nGC_215)*coupl(nGC_216)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten132*coupl(nGC_215 &
                )*coupl(nGC_216)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten133*coupl(nGC_195)*coupl(nGC_196)*  &
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                32d0*Nc*Ten134*coupl(nGC_195)*coupl(nGC_196)*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten135*coupl(nGC_195 &
                )*coupl(nGC_196)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten21*cMU**2d0*coupl(nGC_227)*coupl(   &
                nGC_228)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Nc*Ten22*cMC**2d0*coupl(nGC_199)*coupl(nGC_200)*(-cMHL**2d0&
                 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten23*cMT**2d0*&
                coupl(nGC_219)*coupl(nGC_220)*(-cMHL**2d0 + rMHH**2d0)/(cMHH** &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten24*cMD**2d0*coupl(nGC_203)*   &
                coupl(nGC_204)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Nc*Ten25*cMS**2d0*coupl(nGC_215)*coupl(nGC_216)*(-cMHL &
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten26*  &
                cMB**2d0*coupl(nGC_195)*coupl(nGC_196)*(-cMHL**2d0 + rMHH**2d0 &
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten36*coupl(nGC_227)*coupl(&
                nGC_228)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten37*coupl(nGC_227)*coupl(nGC_228)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten38*  &
                coupl(nGC_227)*coupl(nGC_228)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten39*coupl(nGC_199)*coupl(&
                nGC_200)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten40*coupl(nGC_199)*coupl(nGC_200)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten41*  &
                coupl(nGC_199)*coupl(nGC_200)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten42*coupl(nGC_219)*coupl(&
                nGC_220)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten43*coupl(nGC_219)*coupl(nGC_220)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten44*  &
                coupl(nGC_219)*coupl(nGC_220)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten45*coupl(nGC_203)*coupl(&
                nGC_204)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten46*coupl(nGC_203)*coupl(nGC_204)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten47*  &
                coupl(nGC_203)*coupl(nGC_204)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten48*coupl(nGC_215)*coupl(&
                nGC_216)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten49*coupl(nGC_215)*coupl(nGC_216)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten50*  &
                coupl(nGC_215)*coupl(nGC_216)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten51*coupl(nGC_195)*coupl(&
                nGC_196)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Nc*Ten52*coupl(nGC_195)*coupl(nGC_196)*(-cMHL&
                **2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten53*  &
                coupl(nGC_195)*coupl(nGC_196)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + cima*Ten0*coupl(nGC_32)*(rMHH**2d0&
                 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + cima*Ten1*(-4d0*coupl(&
                nGC_147)*rMHH**2d0 + 4d0*coupl(nGC_147)*rMHL**2d0 - 2d0*coupl( &
                nGC_148)*rMHH**2d0 + 2d0*coupl(nGC_148)*rMHL**2d0 + coupl(     &
                nGC_60)*rMHH**2d0 - coupl(nGC_60)*rMHL**2d0)/(cMHH**2d0*rMHH** &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 8d0*Ten100*cME**2d0*coupl(nGC_207)*coupl(nGC_208  &
                )*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten101&
                *cMM**2d0*coupl(nGC_211)*coupl(nGC_212)*(cMHL**2d0 - rMHL**2d0 &
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten102*cMTA**2d0*coupl(nGC_223&
                )*coupl(nGC_224)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0  &
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Ten109*coupl(nGC_207)*coupl(nGC_208)*rMHH**2d0*(cMHL&
                **2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten110*   &
                coupl(nGC_207)*coupl(nGC_208)*(cMHL**2d0 - rMHL**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Ten111*coupl(nGC_207)*coupl(nGC_208 &
                )*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH&
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + &
                8d0*Ten112*coupl(nGC_211)*coupl(nGC_212)*rMHH**2d0*(cMHL**2d0  &
                 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten113*coupl(    &
                nGC_211)*coupl(nGC_212)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH&
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 8d0*Ten114*coupl(nGC_211)*coupl(nGC_212)*rMHH**2d0&
                *(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL &
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten115&
                *coupl(nGC_223)*coupl(nGC_224)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten116*coupl(nGC_223)*coupl( &
                nGC_224)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH** &
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Ten117*coupl(nGC_223)*coupl(nGC_224)*rMHH**2d0*(cMHL**2d0  &
                 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten13*(8d0*cMHL**2d0* &
                coupl(nGC_130)*coupl(nGC_136)*rMHL**2d0 - 2d0*cMHL**2d0*coupl( &
                nGC_174)*coupl(nGC_178) + 4d0*cMHL**2d0*coupl(nGC_175)*coupl(  &
                nGC_177) + cMHL**2d0*coupl(nGC_183)*coupl(nGC_188) - 8d0*coupl(&
                nGC_130)*coupl(nGC_136)*rMHH**2d0*rMHL**2d0 + 2d0*coupl(nGC_174&
                )*coupl(nGC_178)*rMHH**2d0 - 4d0*coupl(nGC_175)*coupl(nGC_177)*&
                rMHH**2d0 - coupl(nGC_183)*coupl(nGC_188)*rMHH**2d0)/(cMHH**2d0&
                *rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**&
                2d0*rMHL**2d0) + 2d0*Ten14*(4d0*cMHL**2d0*coupl(nGC_100)*coupl(&
                nGC_117)*rMHL**2d0 + 4d0*cMHL**2d0*coupl(nGC_101)*coupl(nGC_118&
                )*rMHL**2d0 - 2d0*cMHL**2d0*coupl(nGC_161)*coupl(nGC_165) + 4d0&
                *cMHL**2d0*coupl(nGC_162)*coupl(nGC_164) + cMHL**2d0*coupl(    &
                nGC_182)*coupl(nGC_187) - 4d0*coupl(nGC_100)*coupl(nGC_117)*   &
                rMHH**2d0*rMHL**2d0 - 4d0*coupl(nGC_101)*coupl(nGC_118)*rMHH** &
                2d0*rMHL**2d0 + 2d0*coupl(nGC_161)*coupl(nGC_165)*rMHH**2d0 -  &
                4d0*coupl(nGC_162)*coupl(nGC_164)*rMHH**2d0 - coupl(nGC_182)*  &
                coupl(nGC_187)*rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten15*    &
                coupl(nGC_190)*coupl(nGC_192)*(cMHL**2d0 - rMHH**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 2d0*Ten16*coupl(nGC_189)*coupl(nGC_192  &
                )*(cMHL**2d0 - rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten17*    &
                coupl(nGC_189)*coupl(nGC_191)*(cMHL**2d0 - rMHH**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Ten18*cME**2d0*coupl(nGC_207)*coupl(&
                nGC_208)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Ten19*cMM**2d0*coupl(nGC_211)*coupl(nGC_212)*(-cMHL**2d0 + &
                rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL** &
                2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + cima*Ten2*coupl(nGC_33  &
                )*(rMHH**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten20*&
                cMTA**2d0*coupl(nGC_223)*coupl(nGC_224)*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten27*coupl(nGC_207)*coupl(   &
                nGC_208)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Ten28*coupl(nGC_207)*coupl(nGC_208)*(-cMHL** &
                2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten29*coupl(  &
                nGC_207)*coupl(nGC_208)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 2d0*cima*Ten3*(coupl(nGC_59)*rMHH**  &
                2d0 - coupl(nGC_59)*rMHL**2d0 - 4d0*coupl(nGC_92)*rMHH**2d0 +  &
                4d0*coupl(nGC_92)*rMHL**2d0 - 2d0*coupl(nGC_93)*rMHH**2d0 + 2d0&
                *coupl(nGC_93)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten30*&
                coupl(nGC_211)*coupl(nGC_212)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten31*coupl(nGC_211)*coupl(  &
                nGC_212)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Ten32*coupl(nGC_211)*coupl(nGC_212)*rMHL**2d0*(-cMHL**2d0  &
                 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten33*coupl(      &
                nGC_223)*coupl(nGC_224)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 32d0*Ten34*coupl(nGC_223)*coupl(     &
                nGC_224)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Ten35*coupl(nGC_223)*coupl(nGC_224)*rMHL**2d0*(-cMHL**2d0  &
                 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten95*(-8d0*cMHL**2d0*&
                coupl(nGC_130)*coupl(nGC_136)*rMHH**2d0 + 2d0*cMHL**2d0*coupl( &
                nGC_174)*coupl(nGC_178) - 4d0*cMHL**2d0*coupl(nGC_175)*coupl(  &
                nGC_177) - cMHL**2d0*coupl(nGC_183)*coupl(nGC_188) + 8d0*coupl(&
                nGC_130)*coupl(nGC_136)*rMHH**2d0*rMHL**2d0 - 2d0*coupl(nGC_174&
                )*coupl(nGC_178)*rMHL**2d0 + 4d0*coupl(nGC_175)*coupl(nGC_177)*&
                rMHL**2d0 + coupl(nGC_183)*coupl(nGC_188)*rMHL**2d0)/(cMHH**2d0&
                *rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**&
                2d0*rMHL**2d0) + 2d0*Ten96*(-4d0*cMHL**2d0*coupl(nGC_100)*coupl&
                (nGC_117)*rMHH**2d0 - 4d0*cMHL**2d0*coupl(nGC_101)*coupl(      &
                nGC_118)*rMHH**2d0 + 2d0*cMHL**2d0*coupl(nGC_161)*coupl(nGC_165&
                ) - 4d0*cMHL**2d0*coupl(nGC_162)*coupl(nGC_164) - cMHL**2d0*   &
                coupl(nGC_182)*coupl(nGC_187) + 4d0*coupl(nGC_100)*coupl(      &
                nGC_117)*rMHH**2d0*rMHL**2d0 + 4d0*coupl(nGC_101)*coupl(nGC_118&
                )*rMHH**2d0*rMHL**2d0 - 2d0*coupl(nGC_161)*coupl(nGC_165)*rMHL &
                **2d0 + 4d0*coupl(nGC_162)*coupl(nGC_164)*rMHL**2d0 + coupl(   &
                nGC_182)*coupl(nGC_187)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH &
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + &
                Ten97*coupl(nGC_190)*coupl(nGC_192)*(-cMHL**2d0 + rMHL**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 2d0*Ten98*coupl(nGC_189)*coupl(      &
                nGC_192)*(-cMHL**2d0 + rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**&
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                Ten99*coupl(nGC_189)*coupl(nGC_191)*(-cMHL**2d0 + rMHL**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + pi**2d0*(-384d0*cima*Nc*cMB**2d0*cMHH&
                **2d0*cMHL**2d0*coupl(nGC_195)*coupl(nGC_196)*rMHH**2d0/(48d0* &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) + 384d0*cima*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*coupl( &
                nGC_195)*coupl(nGC_196)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima* &
                Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_199)*coupl(nGC_200)* &
                rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 384d0*cima*Nc*cMC**2d0*cMHH**2d0*   &
                cMHL**2d0*coupl(nGC_199)*coupl(nGC_200)*rMHL**2d0/(48d0*cima*pi&
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) - 384d0*cima*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_203)* &
                coupl(nGC_204)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 384d0*cima*Nc*cMD**2d0* &
                cMHH**2d0*cMHL**2d0*coupl(nGC_203)*coupl(nGC_204)*rMHL**2d0/(  &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_195)* &
                coupl(nGC_196)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 64d0*cima*Nc*cMHH**2d0* &
                cMHL**4d0*coupl(nGC_195)*coupl(nGC_196)*rMHL**2d0/(48d0*cima*pi&
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) + 64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_199)*coupl(     &
                nGC_200)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 64d0*cima*Nc*cMHH**2d0*cMHL** &
                4d0*coupl(nGC_199)*coupl(nGC_200)*rMHL**2d0/(48d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_203)*coupl(nGC_204)*&
                rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 64d0*cima*Nc*cMHH**2d0*cMHL**4d0*   &
                coupl(nGC_203)*coupl(nGC_204)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH&
                **4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0&
                 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 64d0*cima&
                *Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_215)*coupl(nGC_216)*rMHH**2d0&
                /(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima* &
                pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH &
                **2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL** &
                4d0*rMHL**2d0) - 64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_215&
                )*coupl(nGC_216)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0&
                 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*&
                pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 64d0*cima*Nc*cMHH**2d0&
                *cMHL**4d0*coupl(nGC_219)*coupl(nGC_220)*rMHH**2d0/(48d0*cima* &
                pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH &
                **4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL** &
                4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0&
                ) - 64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_219)*coupl(     &
                nGC_220)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) + 64d0*cima*Nc*cMHH**2d0*cMHL** &
                4d0*coupl(nGC_227)*coupl(nGC_228)*rMHH**2d0/(48d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                64d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_227)*coupl(nGC_228)*&
                rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima*Nc*cMHH**2d0*cMHL**2d0*  &
                cMS**2d0*coupl(nGC_215)*coupl(nGC_216)*rMHH**2d0/(48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) + 384d0*cima*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*coupl(nGC_215)* &
                coupl(nGC_216)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima*Nc*cMHH**2d0*&
                cMHL**2d0*cMT**2d0*coupl(nGC_219)*coupl(nGC_220)*rMHH**2d0/(   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 384d0*cima*Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*coupl(&
                nGC_219)*coupl(nGC_220)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima* &
                Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*coupl(nGC_227)*coupl(nGC_228)* &
                rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 384d0*cima*Nc*cMHH**2d0*cMHL**2d0*  &
                cMU**2d0*coupl(nGC_227)*coupl(nGC_228)*rMHL**2d0/(48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) - 384d0*cima*cME**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_207)*    &
                coupl(nGC_208)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 384d0*cima*cME**2d0*cMHH&
                **2d0*cMHL**2d0*coupl(nGC_207)*coupl(nGC_208)*rMHL**2d0/(48d0* &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) + 64d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_207)*coupl&
                (nGC_208)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH&
                **2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 64d0*cima*cMHH**2d0*cMHL**4d0*&
                coupl(nGC_207)*coupl(nGC_208)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH&
                **4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0&
                 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 64d0*cima&
                *cMHH**2d0*cMHL**4d0*coupl(nGC_211)*coupl(nGC_212)*rMHH**2d0/( &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) - 64d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_211)*    &
                coupl(nGC_212)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 64d0*cima*cMHH**2d0*cMHL&
                **4d0*coupl(nGC_223)*coupl(nGC_224)*rMHH**2d0/(48d0*cima*pi**  &
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                64d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_223)*coupl(nGC_224)*   &
                rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima*cMHH**2d0*cMHL**2d0*cMM**&
                2d0*coupl(nGC_211)*coupl(nGC_212)*rMHH**2d0/(48d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                384d0*cima*cMHH**2d0*cMHL**2d0*cMM**2d0*coupl(nGC_211)*coupl(  &
                nGC_212)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima*cMHH**2d0*cMHL**2d0&
                *cMTA**2d0*coupl(nGC_223)*coupl(nGC_224)*rMHH**2d0/(48d0*cima* &
                pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH &
                **4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL** &
                4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0&
                ) + 384d0*cima*cMHH**2d0*cMHL**2d0*cMTA**2d0*coupl(nGC_223)*   &
                coupl(nGC_224)*rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cMHH**2d0*cMHL**  &
                2d0*cMW**2d0*coupl(nGC_92)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 192d0*cMHH**&
                2d0*cMHL**2d0*cMW**2d0*coupl(nGC_92)*rMHL**2d0/(48d0*cima*pi** &
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                96d0*cMHH**2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_147)*rMHH**2d0/(   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 96d0*cMHH**2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_147)*&
                rMHL**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 192d0*cima*cMHH**2d0*cMHL**2d0*coupl&
                (nGC_162)*coupl(nGC_164)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*  &
                rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cima* &
                cMHH**2d0*cMHL**2d0*coupl(nGC_162)*coupl(nGC_164)*rMHL**2d0/(  &
                48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 96d0*cima*cMHH**2d0*cMHL**2d0*coupl(nGC_175)*    &
                coupl(nGC_177)*rMHH**2d0/(48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 48d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 96d0*cima*cMHH**2d0*cMHL&
                **2d0*coupl(nGC_175)*coupl(nGC_177)*rMHL**2d0/(48d0*cima*pi**  &
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 48d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 48d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0    &
                )))/(16d0*pi**2d0) + 2d0*cima*coupl(nGC_192)*dtHl_QED1*(rMHH** &
                2d0 - rMHL**2d0)/(cMHL**2d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*  &
                rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) + 2d0* &
                cima*coupl(nGC_189)*dtHh_QED1*(rMHH**2d0 - rMHL**2d0)/(cMHH**  &
                2d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH&
                **2d0 + cMHL**2d0*rMHL**2d0))
    if (.not. complex_mass_scheme) then
      dZHhHl_QED2 = cone*real(dZHhHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter158
end module ctparameter158
