!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(4303)%branchCT(0:0))
      call avCT(4303, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(4304)%branchCT(0:1))
      call avCT(4304, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2086, nGC_2086/))

      call avCT(4304, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2087, nGC_2087/))

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(4368)%branchCT(0:0))
      call avCT(4368, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4059)%branchCT(0:0))
      call avCT(4059, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4312)%branchCT(0:0))
      call avCT(4312, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1306)%branchCT(0:0))
      call avCT(1306, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4313)%branchCT(0:0))
      call avCT(4313, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2218/))

      allocate(vertices(4314)%branchCT(0:0))
      call avCT(4314, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4316)%branchCT(0:0))
      call avCT(4316, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1828)%branchCT(0:0))
      call avCT(1828, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4319)%branchCT(0:0))
      call avCT(4319, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4320)%branchCT(0:0))
      call avCT(4320, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(4926)%branchCT(0:0))
      call avCT(4926, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4317)%branchCT(0:0))
      call avCT(4317, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4324)%branchCT(0:0))
      call avCT(4324, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1969,       &
      nGC_1970/))

      allocate(vertices(4325)%branchCT(0:0))
      call avCT(4325, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4326)%branchCT(0:0))
      call avCT(4326, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4327)%branchCT(0:0))
      call avCT(4327, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3681)%branchCT(0:0))
      call avCT(3681, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4329)%branchCT(0:0))
      call avCT(4329, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(5081)%branchCT(0:1))
      call avCT(5081, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2225, nGC_2227,       &
      nGC_2227, nGC_2229/))

      call avCT(5081, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2226, nGC_2228,       &
      nGC_2228, nGC_2230/))

      allocate(vertices(3040)%branchCT(0:1))
      call avCT(3040, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(3040, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(4334)%branchCT(0:0))
      call avCT(4334, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2199/))

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4336)%branchCT(0:0))
      call avCT(4336, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4338)%branchCT(0:0))
      call avCT(4338, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4339)%branchCT(0:0))
      call avCT(4339, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4743)%branchCT(0:0))
      call avCT(4743, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4341)%branchCT(0:1))
      call avCT(4341, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(4341, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(1729)%branchCT(0:0))
      call avCT(1729, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1852)%branchCT(0:1))
      call avCT(1852, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(1852, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(4369)%branchCT(0:0))
      call avCT(4369, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4345)%branchCT(0:0))
      call avCT(4345, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(4416)%branchCT(0:0))
      call avCT(4416, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1507)%branchCT(0:0))
      call avCT(1507, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4347)%branchCT(0:0))
      call avCT(4347, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3136)%branchCT(0:0))
      call avCT(3136, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(4350)%branchCT(0:0))
      call avCT(4350, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3813)%branchCT(0:1))
      call avCT(3813, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(3813, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(4355)%branchCT(0:0))
      call avCT(4355, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4359)%branchCT(0:1))
      call avCT(4359, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(4359, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(1675)%branchCT(0:1))
      call avCT(1675, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(1675, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(4362)%branchCT(0:0))
      call avCT(4362, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2826)%branchCT(0:1))
      call avCT(2826, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(2826, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(1865)%branchCT(0:0))
      call avCT(1865, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2023/))

      allocate(vertices(4419)%branchCT(0:0))
      call avCT(4419, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4365)%branchCT(0:0))
      call avCT(4365, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4366)%branchCT(0:0))
      call avCT(4366, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2162/))

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(5085)%branchCT(0:1))
      call avCT(5085, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2231, nGC_2233,       &
      nGC_2233, nGC_2235/))

      call avCT(5085, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2232, nGC_2234,       &
      nGC_2234, nGC_2236/))

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3979)%branchCT(0:1))
      call avCT(3979, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(3979, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2035/))

      allocate(vertices(3980)%branchCT(0:0))
      call avCT(3980, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4376)%branchCT(0:0))
      call avCT(4376, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(1660)%branchCT(0:0))
      call avCT(1660, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1879)%branchCT(0:0))
      call avCT(1879, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1673)%branchCT(0:0))
      call avCT(1673, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4385)%branchCT(0:1))
      call avCT(4385, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1982, nGC_1982/))

      call avCT(4385, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1983, nGC_1983/))

      allocate(vertices(4386)%branchCT(0:0))
      call avCT(4386, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(4387)%branchCT(0:0))
      call avCT(4387, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4390)%branchCT(0:0))
      call avCT(4390, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4586)%branchCT(0:0))
      call avCT(4586, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2092/))

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4393)%branchCT(0:1))
      call avCT(4393, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(4393, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(4396)%branchCT(0:0))
      call avCT(4396, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(4397)%branchCT(0:0))
      call avCT(4397, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2166,       &
      nGC_2167/))

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4403)%branchCT(0:0))
      call avCT(4403, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4405)%branchCT(0:1))
      call avCT(4405, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(4405, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(2261)%branchCT(0:0))
      call avCT(2261, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1901)%branchCT(0:0))
      call avCT(1901, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1970, nGC_1969,       &
      nGC_1969/))

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4412)%branchCT(0:0))
      call avCT(4412, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4414)%branchCT(0:0))
      call avCT(4414, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3983)%branchCT(0:0))
      call avCT(3983, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3984)%branchCT(0:3))
      call avCT(3984, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(3984, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(3984, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(3984, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(1108)%branchCT(0:0))
      call avCT(1108, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4420)%branchCT(0:0))
      call avCT(4420, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4428)%branchCT(0:0))
      call avCT(4428, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(1912)%branchCT(0:0))
      call avCT(1912, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4423)%branchCT(0:0))
      call avCT(4423, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4424)%branchCT(0:0))
      call avCT(4424, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4952)%branchCT(0:0))
      call avCT(4952, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(4569)%branchCT(0:0))
      call avCT(4569, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1918)%branchCT(0:3))
      call avCT(1918, 0, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1918, 1, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(1918, 2, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1918, 3, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(4430)%branchCT(0:0))
      call avCT(4430, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3800)%branchCT(0:0))
      call avCT(3800, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4695)%branchCT(0:0))
      call avCT(4695, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(4843)%branchCT(0:0))
      call avCT(4843, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1925)%branchCT(0:0))
      call avCT(1925, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2080, nGC_2080/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1926)%branchCT(0:0))
      call avCT(1926, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(3989)%branchCT(0:0))
      call avCT(3989, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2153/))

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4210)%branchCT(0:0))
      call avCT(4210, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4662)%branchCT(0:0))
      call avCT(4662, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2012)%branchCT(0:1))
      call avCT(2012, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(2012, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4930)%branchCT(0:0))
      call avCT(4930, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4446)%branchCT(0:0))
      call avCT(4446, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1937)%branchCT(0:1))
      call avCT(1937, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_1997/))

      call avCT(1937, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_1998/))

      allocate(vertices(1938)%branchCT(0:1))
      call avCT(1938, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(1938, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(5088)%branchCT(0:1))
      call avCT(5088, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2225, nGC_2227,      &
      nGC_2227, nGC_2229/))

      call avCT(5088, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2226, nGC_2228,      &
      nGC_2228, nGC_2230/))

      allocate(vertices(1940)%branchCT(0:0))
      call avCT(1940, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3635)%branchCT(0:0))
      call avCT(3635, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3771)%branchCT(0:0))
      call avCT(3771, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2212, nGC_2213,        &
      nGC_2214/))

      allocate(vertices(1941)%branchCT(0:1))
      call avCT(1941, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(1941, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(4515)%branchCT(0:0))
      call avCT(4515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2074)%branchCT(0:0))
      call avCT(2074, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2323)%branchCT(0:1))
      call avCT(2323, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2323, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(4435)%branchCT(0:0))
      call avCT(4435, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4460)%branchCT(0:1))
      call avCT(4460, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(4460, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(4461)%branchCT(0:0))
      call avCT(4461, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1924)%branchCT(0:0))
      call avCT(1924, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4467)%branchCT(0:0))
      call avCT(4467, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2217/))

      allocate(vertices(1538)%branchCT(0:0))
      call avCT(1538, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4469)%branchCT(0:1))
      call avCT(4469, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(4469, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(4470)%branchCT(0:0))
      call avCT(4470, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4440)%branchCT(0:0))
      call avCT(4440, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4472)%branchCT(0:0))
      call avCT(4472, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4473)%branchCT(0:0))
      call avCT(4473, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3580)%branchCT(0:0))
      call avCT(3580, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(4475)%branchCT(0:0))
      call avCT(4475, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2177/))

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1967)%branchCT(0:0))
      call avCT(1967, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4477)%branchCT(0:0))
      call avCT(4477, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4482)%branchCT(0:0))
      call avCT(4482, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2119/))

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4485)%branchCT(0:0))
      call avCT(4485, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1971)%branchCT(0:0))
      call avCT(1971, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(4489)%branchCT(0:0))
      call avCT(4489, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4479)%branchCT(0:0))
      call avCT(4479, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2276)%branchCT(0:0))
      call avCT(2276, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4495)%branchCT(0:0))
      call avCT(4495, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4847)%branchCT(0:0))
      call avCT(4847, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4498)%branchCT(0:0))
      call avCT(4498, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1983)%branchCT(0:0))
      call avCT(1983, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4500)%branchCT(0:0))
      call avCT(4500, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2166, nGC_2167,       &
      nGC_2167/))

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4241)%branchCT(0:0))
      call avCT(4241, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4502)%branchCT(0:0))
      call avCT(4502, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4505)%branchCT(0:0))
      call avCT(4505, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4975)%branchCT(0:0))
      call avCT(4975, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2237/))

      allocate(vertices(1993)%branchCT(0:1))
      call avCT(1993, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_1997/))

      call avCT(1993, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_1998/))

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4516)%branchCT(0:0))
      call avCT(4516, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1999)%branchCT(0:0))
      call avCT(1999, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(4880)%branchCT(0:0))
      call avCT(4880, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2224/))

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(2433)%branchCT(0:0))
      call avCT(2433, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2262)%branchCT(0:0))
      call avCT(2262, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4519)%branchCT(0:1))
      call avCT(4519, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(4519, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(4452)%branchCT(0:0))
      call avCT(4452, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2010)%branchCT(0:1))
      call avCT(2010, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2128, nGC_2130/))

      call avCT(2010, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2129, nGC_2131/))

      allocate(vertices(4185)%branchCT(0:0))
      call avCT(4185, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4083)%branchCT(0:0))
      call avCT(4083, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4524)%branchCT(0:1))
      call avCT(4524, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(4524, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(1130)%branchCT(0:0))
      call avCT(1130, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4951)%branchCT(0:0))
      call avCT(4951, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2162/))

      allocate(vertices(2017)%branchCT(0:3))
      call avCT(2017, 0, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(2017, 1, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(2017, 2, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(2017, 3, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(4686)%branchCT(0:0))
      call avCT(4686, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4534)%branchCT(0:1))
      call avCT(4534, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(4534, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(4770)%branchCT(0:0))
      call avCT(4770, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2533)%branchCT(0:0))
      call avCT(2533, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(4902)%branchCT(0:0))
      call avCT(4902, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4547)%branchCT(0:0))
      call avCT(4547, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(4549)%branchCT(0:0))
      call avCT(4549, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3592)%branchCT(0:0))
      call avCT(3592, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4553)%branchCT(0:0))
      call avCT(4553, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4554)%branchCT(0:0))
      call avCT(4554, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2238, nGC_2239/))

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(4559)%branchCT(0:0))
      call avCT(4559, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2191/))

      allocate(vertices(2649)%branchCT(0:0))
      call avCT(2649, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4561)%branchCT(0:0))
      call avCT(4561, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2153/))

      allocate(vertices(4563)%branchCT(0:0))
      call avCT(4563, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4564)%branchCT(0:0))
      call avCT(4564, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2041)%branchCT(0:0))
      call avCT(2041, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2240, nGC_2241,        &
      nGC_2242/))

      allocate(vertices(4568)%branchCT(0:0))
      call avCT(4568, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4571)%branchCT(0:0))
      call avCT(4571, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1896/))

      allocate(vertices(4451)%branchCT(0:0))
      call avCT(4451, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(4572)%branchCT(0:0))
      call avCT(4572, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4407)%branchCT(0:0))
      call avCT(4407, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(2631)%branchCT(0:0))
      call avCT(2631, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4579)%branchCT(0:0))
      call avCT(4579, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4580)%branchCT(0:0))
      call avCT(4580, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2054)%branchCT(0:0))
      call avCT(2054, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4730)%branchCT(0:0))
      call avCT(4730, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2059)%branchCT(0:0))
      call avCT(2059, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4501)%branchCT(0:0))
      call avCT(4501, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1986, nGC_1987,       &
      nGC_1987, nGC_1988/))

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1922/))

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4594)%branchCT(0:0))
      call avCT(4594, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4601)%branchCT(0:0))
      call avCT(4601, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4603)%branchCT(0:0))
      call avCT(4603, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(949)%branchCT(0:0))
      call avCT(949, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4606)%branchCT(0:0))
      call avCT(4606, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4971)%branchCT(0:0))
      call avCT(4971, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(4913)%branchCT(0:0))
      call avCT(4913, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(4609)%branchCT(0:0))
      call avCT(4609, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1989, nGC_1990,       &
      nGC_1990, nGC_1991/))

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4610)%branchCT(0:0))
      call avCT(4610, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(4611)%branchCT(0:0))
      call avCT(4611, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(4295)%branchCT(0:0))
      call avCT(4295, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4612)%branchCT(0:0))
      call avCT(4612, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4408)%branchCT(0:0))
      call avCT(4408, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2084)%branchCT(0:0))
      call avCT(2084, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(4617)%branchCT(0:5))
      call avCT(4617, 0, 26, 7, 0, UVUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(4617, 1, 27, 6, 0, UVUaV0, (/4, 0/), (/nGC_2117/))

      call avCT(4617, 2, 25, 7, 0, UVUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(4617, 3, 23, 7, 0, UVUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(4617, 4, 24, 7, 0, UVUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(4617, 5, 28, 6, 0, UVUaV0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(4618)%branchCT(0:0))
      call avCT(4618, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2217/))

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2166, nGC_2167,       &
      nGC_2167/))

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4625)%branchCT(0:0))
      call avCT(4625, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(4628)%branchCT(0:0))
      call avCT(4628, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4631)%branchCT(0:1))
      call avCT(4631, 0, 104, 5, 0, VUUa1, (/3, 0/), (/nGC_1952/))

      call avCT(4631, 1, 105, 4, 0, VUUa1, (/3, 0/), (/nGC_1952/))

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4633)%branchCT(0:0))
      call avCT(4633, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4634)%branchCT(0:0))
      call avCT(4634, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4750)%branchCT(0:1))
      call avCT(4750, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(4750, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4637)%branchCT(0:0))
      call avCT(4637, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4639)%branchCT(0:0))
      call avCT(4639, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4038)%branchCT(0:0))
      call avCT(4038, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2106)%branchCT(0:5))
      call avCT(2106, 0, 21, 6, 0, UVVUa0, (/4, 0/), (/nGC_2117/))

      call avCT(2106, 1, 22, 6, 0, UVVUa0, (/4, 0/), (/nGC_2117/))

      call avCT(2106, 2, 20, 7, 0, UVVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(2106, 3, 17, 7, 0, UVVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(2106, 4, 19, 7, 0, UVVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(2106, 5, 18, 7, 0, UVVUa0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(4641)%branchCT(0:0))
      call avCT(4641, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4643)%branchCT(0:0))
      call avCT(4643, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4645)%branchCT(0:0))
      call avCT(4645, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2114)%branchCT(0:0))
      call avCT(2114, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4459)%branchCT(0:0))
      call avCT(4459, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(5103)%branchCT(0:1))
      call avCT(5103, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2243, nGC_2245,      &
      nGC_2245, nGC_2247/))

      call avCT(5103, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2244, nGC_2246,      &
      nGC_2246, nGC_2248/))

      allocate(vertices(3148)%branchCT(0:5))
      call avCT(3148, 0, 9, 7, 0, VVVV1, (/4, 0/), (/nGC_2249, nGC_2250,       &
      nGC_2249/))

      call avCT(3148, 1, 7, 7, 0, VVVV1, (/4, 0/), (/nGC_2249, nGC_2250,       &
      nGC_2249/))

      call avCT(3148, 2, 8, 7, 0, VVVV1, (/4, 0/), (/nGC_2250, nGC_2249,       &
      nGC_2249/))

      call avCT(3148, 3, 6, 7, 0, VVVV1, (/4, 0/), (/nGC_2250, nGC_2249,       &
      nGC_2249/))

      call avCT(3148, 4, 5, 6, 0, VVVV1, (/4, 0/), (/nGC_2251, nGC_2251,       &
      nGC_2252/))

      call avCT(3148, 5, 4, 6, 0, VVVV1, (/4, 0/), (/nGC_2251, nGC_2251,       &
      nGC_2252/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4653)%branchCT(0:0))
      call avCT(4653, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1533)%branchCT(0:0))
      call avCT(1533, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2119)%branchCT(0:0))
      call avCT(2119, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4655)%branchCT(0:0))
      call avCT(4655, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4658)%branchCT(0:0))
      call avCT(4658, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2209, nGC_2210,       &
      nGC_2210, nGC_2211/))

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1749)%branchCT(0:0))
      call avCT(1749, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2129)%branchCT(0:0))
      call avCT(2129, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(2131)%branchCT(0:1))
      call avCT(2131, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2128, nGC_2130/))

      call avCT(2131, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2129, nGC_2131/))

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4669)%branchCT(0:0))
      call avCT(4669, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3237)%branchCT(0:0))
      call avCT(3237, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4671)%branchCT(0:1))
      call avCT(4671, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(4671, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(4022)%branchCT(0:0))
      call avCT(4022, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4672)%branchCT(0:0))
      call avCT(4672, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1035)%branchCT(0:0))
      call avCT(1035, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2168/))

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(3290)%branchCT(0:0))
      call avCT(3290, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(868)%branchCT(0:1))
      call avCT(868, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(868, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4679)%branchCT(0:0))
      call avCT(4679, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(4680)%branchCT(0:0))
      call avCT(4680, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4496)%branchCT(0:1))
      call avCT(4496, 0, 84, 1, 0, VFaF1, (/0, 3/), (/nGC_1962/))

      call avCT(4496, 1, 84, 1, 0, VFaF1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4684)%branchCT(0:0))
      call avCT(4684, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4685)%branchCT(0:0))
      call avCT(4685, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4080)%branchCT(0:0))
      call avCT(4080, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(4687)%branchCT(0:0))
      call avCT(4687, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2503)%branchCT(0:0))
      call avCT(2503, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4693)%branchCT(0:0))
      call avCT(4693, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3379)%branchCT(0:0))
      call avCT(3379, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4700)%branchCT(0:3))
      call avCT(4700, 0, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(4700, 1, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(4700, 2, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(4700, 3, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(4703)%branchCT(0:0))
      call avCT(4703, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2160)%branchCT(0:1))
      call avCT(2160, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_1997/))

      call avCT(2160, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_1998/))

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4707)%branchCT(0:0))
      call avCT(4707, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2173, nGC_2174/))

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2167)%branchCT(0:1))
      call avCT(2167, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(2167, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(2773)%branchCT(0:1))
      call avCT(2773, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(2773, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(4928)%branchCT(0:0))
      call avCT(4928, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4712)%branchCT(0:0))
      call avCT(4712, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4713)%branchCT(0:0))
      call avCT(4713, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3489)%branchCT(0:0))
      call avCT(3489, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1960)%branchCT(0:1))
      call avCT(1960, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2086, nGC_2086/))

      call avCT(1960, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2087, nGC_2087/))

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4720)%branchCT(0:0))
      call avCT(4720, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(2044)%branchCT(0:3))
      call avCT(2044, 0, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(2044, 1, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(2044, 2, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(2044, 3, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(1163)%branchCT(0:0))
      call avCT(1163, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1873)%branchCT(0:0))
      call avCT(1873, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4725)%branchCT(0:0))
      call avCT(4725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3550)%branchCT(0:0))
      call avCT(3550, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4729)%branchCT(0:0))
      call avCT(4729, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1965/))

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4732)%branchCT(0:1))
      call avCT(4732, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(4732, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(2181)%branchCT(0:0))
      call avCT(2181, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4736)%branchCT(0:1))
      call avCT(4736, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(4736, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2178/))

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1124)%branchCT(0:0))
      call avCT(1124, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4740)%branchCT(0:0))
      call avCT(4740, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(4085)%branchCT(0:1))
      call avCT(4085, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(4085, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(4814)%branchCT(0:0))
      call avCT(4814, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4471)%branchCT(0:0))
      call avCT(4471, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2208/))

      allocate(vertices(5108)%branchCT(0:0))
      call avCT(5108, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2126/))

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2192)%branchCT(0:0))
      call avCT(2192, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4747)%branchCT(0:0))
      call avCT(4747, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4748)%branchCT(0:1))
      call avCT(4748, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(4748, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(1826)%branchCT(0:0))
      call avCT(1826, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2464)%branchCT(0:0))
      call avCT(2464, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2215/))

      allocate(vertices(2196)%branchCT(0:1))
      call avCT(2196, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1962/))

      call avCT(2196, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(4755)%branchCT(0:1))
      call avCT(4755, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(4755, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4757)%branchCT(0:0))
      call avCT(4757, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2200)%branchCT(0:3))
      call avCT(2200, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(2200, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(2200, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(2200, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(2201)%branchCT(0:0))
      call avCT(2201, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(3742)%branchCT(0:5))
      call avCT(3742, 0, 77, 7, 0, VUUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(3742, 1, 82, 6, 0, VUUaV0, (/4, 0/), (/nGC_2117/))

      call avCT(3742, 2, 79, 7, 0, VUUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(3742, 3, 80, 7, 0, VUUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(3742, 4, 78, 7, 0, VUUaV0, (/4, 0/), (/nGC_2116/))

      call avCT(3742, 5, 81, 6, 0, VUUaV0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(2595)%branchCT(0:1))
      call avCT(2595, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(2595, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(4476)%branchCT(0:0))
      call avCT(4476, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4761)%branchCT(0:0))
      call avCT(4761, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4762)%branchCT(0:0))
      call avCT(4762, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1969,       &
      nGC_1970/))

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(4766)%branchCT(0:0))
      call avCT(4766, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4767)%branchCT(0:0))
      call avCT(4767, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4769)%branchCT(0:0))
      call avCT(4769, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4041)%branchCT(0:0))
      call avCT(4041, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2218)%branchCT(0:0))
      call avCT(2218, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4774)%branchCT(0:0))
      call avCT(4774, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4775)%branchCT(0:1))
      call avCT(4775, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(4775, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(3981)%branchCT(0:0))
      call avCT(3981, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(4778)%branchCT(0:0))
      call avCT(4778, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4779)%branchCT(0:0))
      call avCT(4779, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2126/))

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4783)%branchCT(0:0))
      call avCT(4783, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2167,       &
      nGC_2166/))

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4786)%branchCT(0:0))
      call avCT(4786, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4787)%branchCT(0:0))
      call avCT(4787, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2162/))

      allocate(vertices(4789)%branchCT(0:0))
      call avCT(4789, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2224)%branchCT(0:1))
      call avCT(2224, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(2224, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(5112)%branchCT(0:1))
      call avCT(5112, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2231, nGC_2233,      &
      nGC_2233, nGC_2235/))

      call avCT(5112, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2232, nGC_2234,      &
      nGC_2234, nGC_2236/))

      allocate(vertices(4791)%branchCT(0:0))
      call avCT(4791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2229)%branchCT(0:5))
      call avCT(2229, 0, 9, 7, 0, UaUVV0, (/4, 0/), (/nGC_2116/))

      call avCT(2229, 1, 7, 7, 0, UaUVV0, (/4, 0/), (/nGC_2116/))

      call avCT(2229, 2, 8, 7, 0, UaUVV0, (/4, 0/), (/nGC_2116/))

      call avCT(2229, 3, 6, 7, 0, UaUVV0, (/4, 0/), (/nGC_2116/))

      call avCT(2229, 4, 5, 6, 0, UaUVV0, (/4, 0/), (/nGC_2117/))

      call avCT(2229, 5, 4, 6, 0, UaUVV0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(3914)%branchCT(0:1))
      call avCT(3914, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3914, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(4795)%branchCT(0:0))
      call avCT(4795, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3928)%branchCT(0:0))
      call avCT(3928, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(4542)%branchCT(0:1))
      call avCT(4542, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(4542, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(4801)%branchCT(0:0))
      call avCT(4801, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4768)%branchCT(0:0))
      call avCT(4768, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3951)%branchCT(0:0))
      call avCT(3951, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2235)%branchCT(0:3))
      call avCT(2235, 0, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(2235, 1, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(2235, 2, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(2235, 3, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4804)%branchCT(0:0))
      call avCT(4804, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2239)%branchCT(0:0))
      call avCT(2239, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2240)%branchCT(0:1))
      call avCT(2240, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(2240, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(2243)%branchCT(0:0))
      call avCT(2243, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(4429)%branchCT(0:1))
      call avCT(4429, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(4429, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2253, nGC_2254/))

      allocate(vertices(4884)%branchCT(0:0))
      call avCT(4884, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4004)%branchCT(0:0))
      call avCT(4004, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2052/))

      allocate(vertices(4488)%branchCT(0:0))
      call avCT(4488, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2249)%branchCT(0:0))
      call avCT(2249, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4815)%branchCT(0:0))
      call avCT(4815, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4028)%branchCT(0:1))
      call avCT(4028, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(4028, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(2253)%branchCT(0:0))
      call avCT(2253, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2218/))

      allocate(vertices(4818)%branchCT(0:0))
      call avCT(4818, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4820)%branchCT(0:0))
      call avCT(4820, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4051)%branchCT(0:0))
      call avCT(4051, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4356)%branchCT(0:0))
      call avCT(4356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(4822)%branchCT(0:0))
      call avCT(4822, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4528)%branchCT(0:0))
      call avCT(4528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(384)%branchCT(0:1))
      call avCT(384, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(384, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(4075)%branchCT(0:0))
      call avCT(4075, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1176)%branchCT(0:0))
      call avCT(1176, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4105)%branchCT(0:1))
      call avCT(4105, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(4105, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(3222)%branchCT(0:0))
      call avCT(3222, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(4832)%branchCT(0:0))
      call avCT(4832, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4970)%branchCT(0:1))
      call avCT(4970, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(4970, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(4214)%branchCT(0:0))
      call avCT(4214, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4694)%branchCT(0:0))
      call avCT(4694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4130)%branchCT(0:0))
      call avCT(4130, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4844)%branchCT(0:0))
      call avCT(4844, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4846)%branchCT(0:0))
      call avCT(4846, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4180)%branchCT(0:0))
      call avCT(4180, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4492)%branchCT(0:0))
      call avCT(4492, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4849)%branchCT(0:0))
      call avCT(4849, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2167,       &
      nGC_2166/))

      allocate(vertices(4876)%branchCT(0:0))
      call avCT(4876, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2277)%branchCT(0:0))
      call avCT(2277, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4851)%branchCT(0:0))
      call avCT(4851, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(3630)%branchCT(0:1))
      call avCT(3630, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(3630, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(4853)%branchCT(0:0))
      call avCT(4853, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2281)%branchCT(0:0))
      call avCT(2281, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2282)%branchCT(0:0))
      call avCT(2282, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2199/))

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(12, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(4232)%branchCT(0:0))
      call avCT(4232, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4857)%branchCT(0:0))
      call avCT(4857, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4342)%branchCT(0:0))
      call avCT(4342, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(2288)%branchCT(0:1))
      call avCT(2288, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1997/))

      call avCT(2288, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(4861)%branchCT(0:0))
      call avCT(4861, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4863)%branchCT(0:1))
      call avCT(4863, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2149, nGC_2151/))

      call avCT(4863, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2150, nGC_2152/))

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4864)%branchCT(0:0))
      call avCT(4864, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(4865)%branchCT(0:0))
      call avCT(4865, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2215/))

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4868)%branchCT(0:0))
      call avCT(4868, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2304)%branchCT(0:1))
      call avCT(2304, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(2304, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(4869)%branchCT(0:0))
      call avCT(4869, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4871)%branchCT(0:0))
      call avCT(4871, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2311)%branchCT(0:1))
      call avCT(2311, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(2311, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(1357)%branchCT(0:0))
      call avCT(1357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4370)%branchCT(0:0))
      call avCT(4370, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4877)%branchCT(0:0))
      call avCT(4877, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(2314)%branchCT(0:0))
      call avCT(2314, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1182)%branchCT(0:0))
      call avCT(1182, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(5117)%branchCT(0:1))
      call avCT(5117, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2243, nGC_2245,       &
      nGC_2245, nGC_2247/))

      call avCT(5117, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2244, nGC_2246,       &
      nGC_2246, nGC_2248/))

      allocate(vertices(2318)%branchCT(0:0))
      call avCT(2318, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4441)%branchCT(0:0))
      call avCT(4441, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4499)%branchCT(0:0))
      call avCT(4499, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(5118)%branchCT(0:0))
      call avCT(5118, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(4455)%branchCT(0:1))
      call avCT(4455, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2149, nGC_2151/))

      call avCT(4455, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2150, nGC_2152/))

      allocate(vertices(5119)%branchCT(0:0))
      call avCT(5119, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4888)%branchCT(0:0))
      call avCT(4888, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2324)%branchCT(0:0))
      call avCT(2324, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2208/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2327)%branchCT(0:0))
      call avCT(2327, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(4539)%branchCT(0:0))
      call avCT(4539, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2166, nGC_2167,       &
      nGC_2167/))

      allocate(vertices(4483)%branchCT(0:0))
      call avCT(4483, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4892)%branchCT(0:1))
      call avCT(4892, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(4892, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(4893)%branchCT(0:0))
      call avCT(4893, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1855)%branchCT(0:0))
      call avCT(1855, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4957)%branchCT(0:0))
      call avCT(4957, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4900)%branchCT(0:0))
      call avCT(4900, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3448)%branchCT(0:1))
      call avCT(3448, 0, 84, 1, 0, VFaF1, (/0, 3/), (/nGC_1997/))

      call avCT(3448, 1, 84, 1, 0, VFaF1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4904)%branchCT(0:0))
      call avCT(4904, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2339)%branchCT(0:1))
      call avCT(2339, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(2339, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(4905)%branchCT(0:0))
      call avCT(4905, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4567)%branchCT(0:0))
      call avCT(4567, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(4907)%branchCT(0:0))
      call avCT(4907, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2259)%branchCT(0:0))
      call avCT(2259, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1989)%branchCT(0:0))
      call avCT(1989, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4948)%branchCT(0:0))
      call avCT(4948, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4915)%branchCT(0:0))
      call avCT(4915, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4916)%branchCT(0:1))
      call avCT(4916, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(4916, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4918)%branchCT(0:0))
      call avCT(4918, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2158/))

      allocate(vertices(2352)%branchCT(0:0))
      call avCT(2352, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4523)%branchCT(0:0))
      call avCT(4523, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,        &
      nGC_2022/))

      allocate(vertices(4921)%branchCT(0:0))
      call avCT(4921, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4922)%branchCT(0:0))
      call avCT(4922, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2358)%branchCT(0:0))
      call avCT(2358, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4924)%branchCT(0:0))
      call avCT(4924, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3131)%branchCT(0:0))
      call avCT(3131, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
