!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2941)%branchCT(0:0))
      call avCT(2941, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(522)%branchCT(0:1))
      call avCT(522, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(522, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(3333)%branchCT(0:0))
      call avCT(3333, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2950)%branchCT(0:1))
      call avCT(2950, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(2950, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(500)%branchCT(0:1))
      call avCT(500, 0, 98, 5, 0, UVUa0, (/3, 0/), (/nGC_2053/))

      call avCT(500, 1, 99, 4, 0, UVUa0, (/3, 0/), (/nGC_2053/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(5002)%branchCT(0:0))
      call avCT(5002, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2126/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2952)%branchCT(0:0))
      call avCT(2952, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3982)%branchCT(0:0))
      call avCT(3982, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(543)%branchCT(0:0))
      call avCT(543, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1896/))

      allocate(vertices(4620)%branchCT(0:0))
      call avCT(4620, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(3310)%branchCT(0:0))
      call avCT(3310, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2100/))

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2014/))

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3345)%branchCT(0:0))
      call avCT(3345, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(557)%branchCT(0:1))
      call avCT(557, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2128, nGC_2130/))

      call avCT(557, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2129, nGC_2131/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1864)%branchCT(0:0))
      call avCT(1864, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(2983)%branchCT(0:0))
      call avCT(2983, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3758)%branchCT(0:0))
      call avCT(3758, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(562)%branchCT(0:3))
      call avCT(562, 0, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(562, 1, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(562, 2, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(562, 3, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(4692)%branchCT(0:0))
      call avCT(4692, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2990)%branchCT(0:0))
      call avCT(2990, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1970, nGC_1969,       &
      nGC_1969/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(2895)%branchCT(0:0))
      call avCT(2895, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2134/))

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3504)%branchCT(0:0))
      call avCT(3504, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2320)%branchCT(0:0))
      call avCT(2320, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2032/))

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(585)%branchCT(0:1))
      call avCT(585, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(585, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(3252)%branchCT(0:1))
      call avCT(3252, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3252, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3030)%branchCT(0:0))
      call avCT(3030, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2092/))

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3631)%branchCT(0:0))
      call avCT(3631, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3722)%branchCT(0:0))
      call avCT(3722, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3041)%branchCT(0:1))
      call avCT(3041, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(3041, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(3042)%branchCT(0:0))
      call avCT(3042, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3046)%branchCT(0:1))
      call avCT(3046, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(3046, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(607)%branchCT(0:1))
      call avCT(607, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(607, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(3047)%branchCT(0:0))
      call avCT(3047, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(4855)%branchCT(0:0))
      call avCT(4855, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3050)%branchCT(0:0))
      call avCT(3050, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3746)%branchCT(0:1))
      call avCT(3746, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(3746, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(3053)%branchCT(0:0))
      call avCT(3053, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3055)%branchCT(0:0))
      call avCT(3055, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2126/))

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4657)%branchCT(0:0))
      call avCT(4657, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2008/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(621)%branchCT(0:1))
      call avCT(621, 0, 102, 5, 0, UaVU0, (/3, 0/), (/nGC_1952/))

      call avCT(621, 1, 103, 4, 0, UaVU0, (/3, 0/), (/nGC_1952/))

      allocate(vertices(4178)%branchCT(0:0))
      call avCT(4178, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(3770)%branchCT(0:0))
      call avCT(3770, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2092/))

      allocate(vertices(1699)%branchCT(0:0))
      call avCT(1699, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3074)%branchCT(0:0))
      call avCT(3074, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4545)%branchCT(0:0))
      call avCT(4545, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5010)%branchCT(0:1))
      call avCT(5010, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2142, nGC_2144,      &
      nGC_2144, nGC_2146/))

      call avCT(5010, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2143, nGC_2145,      &
      nGC_2145, nGC_2147/))

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1878/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3086)%branchCT(0:0))
      call avCT(3086, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3090)%branchCT(0:0))
      call avCT(3090, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(649)%branchCT(0:1))
      call avCT(649, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1982, nGC_1982/))

      call avCT(649, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1983, nGC_1983/))

      allocate(vertices(3091)%branchCT(0:0))
      call avCT(3091, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3096)%branchCT(0:0))
      call avCT(3096, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4019)%branchCT(0:0))
      call avCT(4019, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4029)%branchCT(0:0))
      call avCT(4029, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3101)%branchCT(0:0))
      call avCT(3101, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4065)%branchCT(0:0))
      call avCT(4065, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3108)%branchCT(0:0))
      call avCT(3108, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2148/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3777)%branchCT(0:1))
      call avCT(3777, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2149, nGC_2151/))

      call avCT(3777, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2150, nGC_2152/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4646)%branchCT(0:0))
      call avCT(4646, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2153/))

      allocate(vertices(1314)%branchCT(0:0))
      call avCT(1314, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3118)%branchCT(0:0))
      call avCT(3118, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3119)%branchCT(0:0))
      call avCT(3119, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3121)%branchCT(0:3))
      call avCT(3121, 0, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(3121, 1, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(3121, 2, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(3121, 3, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(681)%branchCT(0:0))
      call avCT(681, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(682)%branchCT(0:1))
      call avCT(682, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(682, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3123)%branchCT(0:0))
      call avCT(3123, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2126/))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(4624)%branchCT(0:0))
      call avCT(4624, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2158/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4650)%branchCT(0:0))
      call avCT(4650, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1953/))

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4290)%branchCT(0:0))
      call avCT(4290, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3141)%branchCT(0:3))
      call avCT(3141, 0, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(3141, 1, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(3141, 2, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(3141, 3, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(4841)%branchCT(0:0))
      call avCT(4841, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(4310)%branchCT(0:0))
      call avCT(4310, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4331)%branchCT(0:0))
      call avCT(4331, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3146)%branchCT(0:1))
      call avCT(3146, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(3146, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4346)%branchCT(0:0))
      call avCT(4346, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3156)%branchCT(0:0))
      call avCT(3156, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3157)%branchCT(0:1))
      call avCT(3157, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(3157, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2052/))

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4835)%branchCT(0:0))
      call avCT(4835, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3167)%branchCT(0:0))
      call avCT(3167, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(4437)%branchCT(0:0))
      call avCT(4437, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(737)%branchCT(0:1))
      call avCT(737, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(737, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(3177)%branchCT(0:0))
      call avCT(3177, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3369)%branchCT(0:0))
      call avCT(3369, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4532)%branchCT(0:0))
      call avCT(4532, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2162/))

      allocate(vertices(4360)%branchCT(0:0))
      call avCT(4360, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2161/))

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2531)%branchCT(0:0))
      call avCT(2531, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(747)%branchCT(0:5))
      call avCT(747, 0, 44, 7, 0, UaVUV0, (/4, 0/), (/nGC_2116/))

      call avCT(747, 1, 41, 7, 0, UaVUV0, (/4, 0/), (/nGC_2116/))

      call avCT(747, 2, 45, 6, 0, UaVUV0, (/4, 0/), (/nGC_2117/))

      call avCT(747, 3, 46, 6, 0, UaVUV0, (/4, 0/), (/nGC_2117/))

      call avCT(747, 4, 43, 7, 0, UaVUV0, (/4, 0/), (/nGC_2116/))

      call avCT(747, 5, 42, 7, 0, UaVUV0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(4961)%branchCT(0:1))
      call avCT(4961, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(4961, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3188)%branchCT(0:1))
      call avCT(3188, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_1962/))

      call avCT(3188, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_1963/))

      allocate(vertices(4596)%branchCT(0:0))
      call avCT(4596, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2163, nGC_2164,        &
      nGC_2165/))

      allocate(vertices(753)%branchCT(0:1))
      call avCT(753, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(753, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4374)%branchCT(0:0))
      call avCT(4374, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4660)%branchCT(0:0))
      call avCT(4660, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3194)%branchCT(0:0))
      call avCT(3194, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2166, nGC_2167,       &
      nGC_2167/))

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2168/))

      allocate(vertices(4642)%branchCT(0:0))
      call avCT(4642, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(4674)%branchCT(0:0))
      call avCT(4674, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4715)%branchCT(0:0))
      call avCT(4715, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2169/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(781)%branchCT(0:1))
      call avCT(781, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(781, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(3958)%branchCT(0:0))
      call avCT(3958, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2170/))

      allocate(vertices(3375)%branchCT(0:0))
      call avCT(3375, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4831)%branchCT(0:0))
      call avCT(4831, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2166,       &
      nGC_2167/))

      allocate(vertices(4833)%branchCT(0:1))
      call avCT(4833, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(4833, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2173, nGC_2174/))

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3226)%branchCT(0:0))
      call avCT(3226, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(4114)%branchCT(0:0))
      call avCT(4114, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3229)%branchCT(0:0))
      call avCT(3229, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(2910)%branchCT(0:0))
      call avCT(2910, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(792)%branchCT(0:1))
      call avCT(792, 0, 84, 1, 0, VFaF1, (/0, 3/), (/nGC_2026/))

      call avCT(792, 1, 84, 1, 0, VFaF1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3238)%branchCT(0:0))
      call avCT(3238, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(4939)%branchCT(0:0))
      call avCT(4939, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(798)%branchCT(0:1))
      call avCT(798, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(798, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(622)%branchCT(0:1))
      call avCT(622, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(622, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4973)%branchCT(0:0))
      call avCT(4973, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3246)%branchCT(0:0))
      call avCT(3246, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3249)%branchCT(0:0))
      call avCT(3249, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(4253)%branchCT(0:0))
      call avCT(4253, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4881)%branchCT(0:0))
      call avCT(4881, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(1907)%branchCT(0:0))
      call avCT(1907, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3254)%branchCT(0:0))
      call avCT(3254, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2089/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3257)%branchCT(0:0))
      call avCT(3257, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2080, nGC_2080/))

      allocate(vertices(4279)%branchCT(0:0))
      call avCT(4279, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3259)%branchCT(0:0))
      call avCT(3259, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2178/))

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3265)%branchCT(0:0))
      call avCT(3265, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(823)%branchCT(0:1))
      call avCT(823, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(823, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(4909)%branchCT(0:0))
      call avCT(4909, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2652)%branchCT(0:0))
      call avCT(2652, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4245)%branchCT(0:1))
      call avCT(4245, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(4245, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3968)%branchCT(0:0))
      call avCT(3968, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4204)%branchCT(0:0))
      call avCT(4204, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(835)%branchCT(0:1))
      call avCT(835, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(835, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4675)%branchCT(0:0))
      call avCT(4675, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3279)%branchCT(0:0))
      call avCT(3279, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2092/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2034, nGC_2033,        &
      nGC_2033/))

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3385)%branchCT(0:0))
      call avCT(3385, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2162/))

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3287)%branchCT(0:0))
      call avCT(3287, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2020/))

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(851)%branchCT(0:1))
      call avCT(851, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(851, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3292)%branchCT(0:1))
      call avCT(3292, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_1962/))

      call avCT(3292, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_1963/))

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2178/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(855)%branchCT(0:1))
      call avCT(855, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(855, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3299)%branchCT(0:1))
      call avCT(3299, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(3299, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(859)%branchCT(0:3))
      call avCT(859, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(859, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(859, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(859, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(2553)%branchCT(0:0))
      call avCT(2553, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2550)%branchCT(0:0))
      call avCT(2550, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(864)%branchCT(0:1))
      call avCT(864, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2086, nGC_2086/))

      call avCT(864, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2087, nGC_2087/))

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3311)%branchCT(0:0))
      call avCT(3311, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3313)%branchCT(0:5))
      call avCT(3313, 0, 53, 7, 0, VVUaU0, (/4, 0/), (/nGC_2116/))

      call avCT(3313, 1, 57, 6, 0, VVUaU0, (/4, 0/), (/nGC_2117/))

      call avCT(3313, 2, 55, 7, 0, VVUaU0, (/4, 0/), (/nGC_2116/))

      call avCT(3313, 3, 56, 7, 0, VVUaU0, (/4, 0/), (/nGC_2116/))

      call avCT(3313, 4, 54, 7, 0, VVUaU0, (/4, 0/), (/nGC_2116/))

      call avCT(3313, 5, 58, 6, 0, VVUaU0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3316)%branchCT(0:0))
      call avCT(3316, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4462)%branchCT(0:0))
      call avCT(4462, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3319)%branchCT(0:0))
      call avCT(3319, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3322)%branchCT(0:0))
      call avCT(3322, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(877)%branchCT(0:1))
      call avCT(877, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(877, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2181/))

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3393)%branchCT(0:0))
      call avCT(3393, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4231)%branchCT(0:0))
      call avCT(4231, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3334)%branchCT(0:1))
      call avCT(3334, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(3334, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(3335)%branchCT(0:0))
      call avCT(3335, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3338)%branchCT(0:0))
      call avCT(3338, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3340)%branchCT(0:0))
      call avCT(3340, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(4128)%branchCT(0:5))
      call avCT(4128, 0, 40, 6, 0, UaVVU0, (/4, 0/), (/nGC_2117/))

      call avCT(4128, 1, 38, 7, 0, UaVVU0, (/4, 0/), (/nGC_2116/))

      call avCT(4128, 2, 35, 7, 0, UaVVU0, (/4, 0/), (/nGC_2116/))

      call avCT(4128, 3, 39, 6, 0, UaVVU0, (/4, 0/), (/nGC_2117/))

      call avCT(4128, 4, 37, 7, 0, UaVVU0, (/4, 0/), (/nGC_2116/))

      call avCT(4128, 5, 36, 7, 0, UaVVU0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3346)%branchCT(0:0))
      call avCT(3346, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3347)%branchCT(0:0))
      call avCT(3347, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1345)%branchCT(0:1))
      call avCT(1345, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(1345, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(905)%branchCT(0:3))
      call avCT(905, 0, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(905, 1, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(905, 2, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(905, 3, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(4235)%branchCT(0:0))
      call avCT(4235, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2167,       &
      nGC_2166/))

      allocate(vertices(4551)%branchCT(0:0))
      call avCT(4551, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2170/))

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3359)%branchCT(0:0))
      call avCT(3359, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(3361)%branchCT(0:0))
      call avCT(3361, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3366)%branchCT(0:1))
      call avCT(3366, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(3366, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2187/))

      allocate(vertices(3368)%branchCT(0:0))
      call avCT(3368, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2181/))

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2980)%branchCT(0:0))
      call avCT(2980, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,        &
      nGC_2021/))

      allocate(vertices(3376)%branchCT(0:0))
      call avCT(3376, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4648)%branchCT(0:0))
      call avCT(4648, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2166,        &
      nGC_2167/))

      allocate(vertices(3382)%branchCT(0:0))
      call avCT(3382, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(943)%branchCT(0:0))
      call avCT(943, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(3384)%branchCT(0:1))
      call avCT(3384, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(3384, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2100/))

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(951)%branchCT(0:1))
      call avCT(951, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(951, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4630)%branchCT(0:0))
      call avCT(4630, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(954)%branchCT(0:0))
      call avCT(954, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4388)%branchCT(0:0))
      call avCT(4388, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3406)%branchCT(0:0))
      call avCT(3406, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(3405)%branchCT(0:1))
      call avCT(3405, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(3405, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(4972)%branchCT(0:0))
      call avCT(4972, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(964)%branchCT(0:1))
      call avCT(964, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(964, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2188/))

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3196)%branchCT(0:1))
      call avCT(3196, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1997/))

      call avCT(3196, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4378)%branchCT(0:0))
      call avCT(4378, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1004)%branchCT(0:1))
      call avCT(1004, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(1004, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4448)%branchCT(0:0))
      call avCT(4448, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2158/))

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2991)%branchCT(0:1))
      call avCT(2991, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(2991, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(4824)%branchCT(0:0))
      call avCT(4824, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(3427)%branchCT(0:0))
      call avCT(3427, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2052/))

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(984)%branchCT(0:0))
      call avCT(984, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(2162)%branchCT(0:0))
      call avCT(2162, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(986)%branchCT(0:3))
      call avCT(986, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(986, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(986, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(986, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3439)%branchCT(0:0))
      call avCT(3439, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3441)%branchCT(0:1))
      call avCT(3441, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(3441, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(994)%branchCT(0:1))
      call avCT(994, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(994, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2191/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(3451)%branchCT(0:0))
      call avCT(3451, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3452)%branchCT(0:0))
      call avCT(3452, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2916)%branchCT(0:0))
      call avCT(2916, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3455)%branchCT(0:0))
      call avCT(3455, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(800)%branchCT(0:1))
      call avCT(800, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2086, nGC_2086/))

      call avCT(800, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2087, nGC_2087/))

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1910/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3464)%branchCT(0:0))
      call avCT(3464, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4711)%branchCT(0:0))
      call avCT(4711, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1011)%branchCT(0:1))
      call avCT(1011, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(1011, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3712)%branchCT(0:1))
      call avCT(3712, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(3712, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1926/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1018)%branchCT(0:0))
      call avCT(1018, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(578)%branchCT(0:1))
      call avCT(578, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(578, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3485)%branchCT(0:1))
      call avCT(3485, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(3485, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1030)%branchCT(0:0))
      call avCT(1030, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(1034)%branchCT(0:1))
      call avCT(1034, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(1034, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(3492)%branchCT(0:0))
      call avCT(3492, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1036)%branchCT(0:3))
      call avCT(1036, 0, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1036, 1, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(1036, 2, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1036, 3, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(4425)%branchCT(0:0))
      call avCT(4425, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3256)%branchCT(0:0))
      call avCT(3256, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5031)%branchCT(0:0))
      call avCT(5031, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2899)%branchCT(0:1))
      call avCT(2899, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(2899, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(4276)%branchCT(0:1))
      call avCT(4276, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(4276, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4718)%branchCT(0:1))
      call avCT(4718, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(4718, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1051)%branchCT(0:1))
      call avCT(1051, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(1051, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4719)%branchCT(0:0))
      call avCT(4719, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3274)%branchCT(0:0))
      call avCT(3274, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3509)%branchCT(0:0))
      call avCT(3509, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3942)%branchCT(0:0))
      call avCT(3942, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3512)%branchCT(0:1))
      call avCT(3512, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(3512, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(3516)%branchCT(0:0))
      call avCT(3516, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3522)%branchCT(0:1))
      call avCT(3522, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(3522, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(3428)%branchCT(0:0))
      call avCT(3428, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3524)%branchCT(0:0))
      call avCT(3524, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(3526)%branchCT(0:0))
      call avCT(3526, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3530)%branchCT(0:3))
      call avCT(3530, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(3530, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(3530, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(3530, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(1072)%branchCT(0:1))
      call avCT(1072, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(1072, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(3538)%branchCT(0:0))
      call avCT(3538, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1921/))

      allocate(vertices(2205)%branchCT(0:0))
      call avCT(2205, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3542)%branchCT(0:0))
      call avCT(3542, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3543)%branchCT(0:0))
      call avCT(3543, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4274)%branchCT(0:0))
      call avCT(4274, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3549)%branchCT(0:0))
      call avCT(3549, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1970,       &
      nGC_1969/))

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3555)%branchCT(0:0))
      call avCT(3555, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2599)%branchCT(0:1))
      call avCT(2599, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(2599, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2197/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4735)%branchCT(0:0))
      call avCT(4735, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3559)%branchCT(0:1))
      call avCT(3559, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(3559, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(988)%branchCT(0:5))
      call avCT(988, 0, 73, 7, 0, VUVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(988, 1, 71, 7, 0, VUVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(988, 2, 72, 7, 0, VUVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(988, 3, 76, 6, 0, VUVUa0, (/4, 0/), (/nGC_2117/))

      call avCT(988, 4, 74, 7, 0, VUVUa0, (/4, 0/), (/nGC_2116/))

      call avCT(988, 5, 75, 6, 0, VUVUa0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2198/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4277)%branchCT(0:0))
      call avCT(4277, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3329)%branchCT(0:0))
      call avCT(3329, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2199/))

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1118)%branchCT(0:1))
      call avCT(1118, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(1118, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(1120)%branchCT(0:0))
      call avCT(1120, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3582)%branchCT(0:0))
      call avCT(3582, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3583)%branchCT(0:0))
      call avCT(3583, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1126)%branchCT(0:0))
      call avCT(1126, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1128)%branchCT(0:0))
      call avCT(1128, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2200/))

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1133)%branchCT(0:0))
      call avCT(1133, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2148/))

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2181/))

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2000)%branchCT(0:1))
      call avCT(2000, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(2000, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2166,       &
      nGC_2167/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1141)%branchCT(0:1))
      call avCT(1141, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(1141, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2093)%branchCT(0:0))
      call avCT(2093, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3233)%branchCT(0:0))
      call avCT(3233, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1155)%branchCT(0:0))
      call avCT(1155, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3616)%branchCT(0:3))
      call avCT(3616, 0, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(3616, 1, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(3616, 2, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(3616, 3, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(1157)%branchCT(0:0))
      call avCT(1157, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(3028)%branchCT(0:0))
      call avCT(3028, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(1159)%branchCT(0:0))
      call avCT(1159, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2345)%branchCT(0:0))
      call avCT(2345, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3620)%branchCT(0:0))
      call avCT(3620, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(3623)%branchCT(0:0))
      call avCT(3623, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1166)%branchCT(0:1))
      call avCT(1166, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(1166, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(998)%branchCT(0:0))
      call avCT(998, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
