!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2134/))

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4073)%branchCT(0:0))
      call avCT(4073, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(2246)%branchCT(0:0))
      call avCT(2246, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2032/))

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3640)%branchCT(0:0))
      call avCT(3640, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3641)%branchCT(0:1))
      call avCT(3641, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(3641, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2201/))

      allocate(vertices(3643)%branchCT(0:0))
      call avCT(3643, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1969,       &
      nGC_1970/))

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4739)%branchCT(0:0))
      call avCT(4739, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(4745)%branchCT(0:0))
      call avCT(4745, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1183)%branchCT(0:1))
      call avCT(1183, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(1183, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(2325)%branchCT(0:3))
      call avCT(2325, 0, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(2325, 1, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(2325, 2, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(2325, 3, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3646)%branchCT(0:0))
      call avCT(3646, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2361)%branchCT(0:0))
      call avCT(2361, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2149, nGC_2151/))

      call avCT(168, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2150, nGC_2152/))

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(4373)%branchCT(0:0))
      call avCT(4373, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3665)%branchCT(0:0))
      call avCT(3665, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3668)%branchCT(0:0))
      call avCT(3668, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2481)%branchCT(0:0))
      call avCT(2481, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4306)%branchCT(0:1))
      call avCT(4306, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(4306, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1217)%branchCT(0:0))
      call avCT(1217, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4361)%branchCT(0:0))
      call avCT(4361, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2020/))

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4753)%branchCT(0:0))
      call avCT(4753, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1222)%branchCT(0:0))
      call avCT(1222, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2052/))

      allocate(vertices(4293)%branchCT(0:0))
      call avCT(4293, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(5041)%branchCT(0:1))
      call avCT(5041, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2202, nGC_2204,       &
      nGC_2204, nGC_2206/))

      call avCT(5041, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2203, nGC_2205,       &
      nGC_2205, nGC_2207/))

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3686)%branchCT(0:1))
      call avCT(3686, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1962/))

      call avCT(3686, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3688)%branchCT(0:5))
      call avCT(3688, 0, 32, 7, 0, UUaVV0, (/4, 0/), (/nGC_2116/))

      call avCT(3688, 1, 30, 7, 0, UUaVV0, (/4, 0/), (/nGC_2116/))

      call avCT(3688, 2, 33, 6, 0, UUaVV0, (/4, 0/), (/nGC_2117/))

      call avCT(3688, 3, 29, 7, 0, UUaVV0, (/4, 0/), (/nGC_2116/))

      call avCT(3688, 4, 34, 6, 0, UUaVV0, (/4, 0/), (/nGC_2117/))

      call avCT(3688, 5, 31, 7, 0, UUaVV0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(3689)%branchCT(0:0))
      call avCT(3689, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2623)%branchCT(0:0))
      call avCT(2623, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3698)%branchCT(0:3))
      call avCT(3698, 0, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(3698, 1, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(3698, 2, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(3698, 3, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3706)%branchCT(0:0))
      call avCT(3706, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(3149)%branchCT(0:0))
      call avCT(3149, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(4458)%branchCT(0:0))
      call avCT(4458, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4299)%branchCT(0:0))
      call avCT(4299, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2200/))

      allocate(vertices(3713)%branchCT(0:0))
      call avCT(3713, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4866)%branchCT(0:0))
      call avCT(4866, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3467)%branchCT(0:0))
      call avCT(3467, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4591)%branchCT(0:0))
      call avCT(4591, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1261)%branchCT(0:1))
      call avCT(1261, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(1261, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(3796)%branchCT(0:1))
      call avCT(3796, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(3796, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2134/))

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(3048)%branchCT(0:0))
      call avCT(3048, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2823)%branchCT(0:1))
      call avCT(2823, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(2823, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1265)%branchCT(0:0))
      call avCT(1265, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(5047)%branchCT(0:0))
      call avCT(5047, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1020)%branchCT(0:1))
      call avCT(1020, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_2026/))

      call avCT(1020, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_2027/))

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3739)%branchCT(0:0))
      call avCT(3739, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1178)%branchCT(0:0))
      call avCT(1178, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(1273)%branchCT(0:1))
      call avCT(1273, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(1273, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1276)%branchCT(0:1))
      call avCT(1276, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_1997/))

      call avCT(1276, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1281)%branchCT(0:0))
      call avCT(1281, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1285)%branchCT(0:0))
      call avCT(1285, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3754)%branchCT(0:0))
      call avCT(3754, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(1291)%branchCT(0:1))
      call avCT(1291, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(1291, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1295)%branchCT(0:1))
      call avCT(1295, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(1295, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3762)%branchCT(0:1))
      call avCT(3762, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(3762, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2167, nGC_2167,       &
      nGC_2166/))

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4705)%branchCT(0:0))
      call avCT(4705, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1300)%branchCT(0:1))
      call avCT(1300, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(1300, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1302)%branchCT(0:1))
      call avCT(1302, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2183, nGC_2185/))

      call avCT(1302, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2184, nGC_2186/))

      allocate(vertices(4764)%branchCT(0:0))
      call avCT(4764, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1307)%branchCT(0:0))
      call avCT(1307, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3104)%branchCT(0:0))
      call avCT(3104, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1312)%branchCT(0:0))
      call avCT(1312, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3478)%branchCT(0:0))
      call avCT(3478, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(3781)%branchCT(0:1))
      call avCT(3781, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2149, nGC_2151/))

      call avCT(3781, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2150, nGC_2152/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2033, nGC_2034,        &
      nGC_2033/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1320)%branchCT(0:3))
      call avCT(1320, 0, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1320, 1, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(1320, 2, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1320, 3, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(1321)%branchCT(0:0))
      call avCT(1321, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2162/))

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3183)%branchCT(0:0))
      call avCT(3183, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1650)%branchCT(0:0))
      call avCT(1650, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2188/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1331)%branchCT(0:0))
      call avCT(1331, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2168/))

      allocate(vertices(1335)%branchCT(0:0))
      call avCT(1335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(3798)%branchCT(0:0))
      call avCT(3798, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2182/))

      allocate(vertices(1817)%branchCT(0:0))
      call avCT(1817, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1432)%branchCT(0:1))
      call avCT(1432, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(1432, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(4600)%branchCT(0:0))
      call avCT(4600, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(879)%branchCT(0:1))
      call avCT(879, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2137, nGC_2139/))

      call avCT(879, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2138, nGC_2140/))

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3805)%branchCT(0:0))
      call avCT(3805, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2077/))

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4335)%branchCT(0:1))
      call avCT(4335, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(4335, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4321)%branchCT(0:0))
      call avCT(4321, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2208/))

      allocate(vertices(1356)%branchCT(0:0))
      call avCT(1356, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2204)%branchCT(0:1))
      call avCT(2204, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2204, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(1832)%branchCT(0:0))
      call avCT(1832, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1364)%branchCT(0:1))
      call avCT(1364, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(1364, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1366)%branchCT(0:1))
      call avCT(1366, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(1366, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1926/))

      allocate(vertices(2647)%branchCT(0:0))
      call avCT(2647, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1922/))

      allocate(vertices(3896)%branchCT(0:1))
      call avCT(3896, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(3896, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(1373)%branchCT(0:1))
      call avCT(1373, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(1373, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(3832)%branchCT(0:1))
      call avCT(3832, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_2026/))

      call avCT(3832, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_2027/))

      allocate(vertices(4323)%branchCT(0:0))
      call avCT(4323, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1377)%branchCT(0:1))
      call avCT(1377, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(1377, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3413)%branchCT(0:1))
      call avCT(3413, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2128, nGC_2130/))

      call avCT(3413, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2129, nGC_2131/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1382)%branchCT(0:0))
      call avCT(1382, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4203)%branchCT(0:0))
      call avCT(4203, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4894)%branchCT(0:0))
      call avCT(4894, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1386)%branchCT(0:3))
      call avCT(1386, 0, 91, 3, 0, FaFV0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(1386, 1, 91, 3, 0, FaFV0, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(1386, 2, 90, 2, 0, FaFV0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(1386, 3, 90, 2, 0, FaFV0, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2119/))

      allocate(vertices(3855)%branchCT(0:3))
      call avCT(3855, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(3855, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(3855, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(3855, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1395)%branchCT(0:3))
      call avCT(1395, 0, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(1395, 1, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(1395, 2, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(1395, 3, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3861)%branchCT(0:3))
      call avCT(3861, 0, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(3861, 1, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(3861, 2, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(3861, 3, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3669)%branchCT(0:0))
      call avCT(3669, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(223)%branchCT(0:5))
      call avCT(223, 0, 52, 6, 0, VVUUa0, (/4, 0/), (/nGC_2117/))

      call avCT(223, 1, 49, 7, 0, VVUUa0, (/4, 0/), (/nGC_2116/))

      call avCT(223, 2, 47, 7, 0, VVUUa0, (/4, 0/), (/nGC_2116/))

      call avCT(223, 3, 48, 7, 0, VVUUa0, (/4, 0/), (/nGC_2116/))

      call avCT(223, 4, 51, 6, 0, VVUUa0, (/4, 0/), (/nGC_2117/))

      call avCT(223, 5, 50, 7, 0, VVUUa0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(4937)%branchCT(0:0))
      call avCT(4937, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(3283)%branchCT(0:1))
      call avCT(3283, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(3283, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(4790)%branchCT(0:0))
      call avCT(4790, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2209, nGC_2210,       &
      nGC_2210, nGC_2211/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2033, nGC_2034,       &
      nGC_2033/))

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1446)%branchCT(0:1))
      call avCT(1446, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(1446, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(3904)%branchCT(0:1))
      call avCT(3904, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(3904, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3903)%branchCT(0:0))
      call avCT(3903, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2019/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4793)%branchCT(0:0))
      call avCT(4793, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3913)%branchCT(0:0))
      call avCT(3913, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4598)%branchCT(0:0))
      call avCT(4598, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3917)%branchCT(0:0))
      call avCT(3917, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(4654)%branchCT(0:0))
      call avCT(4654, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3919)%branchCT(0:0))
      call avCT(3919, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3921)%branchCT(0:0))
      call avCT(3921, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(3922)%branchCT(0:0))
      call avCT(3922, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4666)%branchCT(0:0))
      call avCT(4666, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3924)%branchCT(0:0))
      call avCT(3924, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2034, nGC_2033,       &
      nGC_2033/))

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4032)%branchCT(0:0))
      call avCT(4032, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3930)%branchCT(0:0))
      call avCT(3930, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3931)%branchCT(0:0))
      call avCT(3931, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(3932)%branchCT(0:0))
      call avCT(3932, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3933)%branchCT(0:0))
      call avCT(3933, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2188/))

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3934)%branchCT(0:0))
      call avCT(3934, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3935)%branchCT(0:0))
      call avCT(3935, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(3937)%branchCT(0:0))
      call avCT(3937, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4092)%branchCT(0:0))
      call avCT(4092, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3940)%branchCT(0:0))
      call avCT(3940, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3944)%branchCT(0:0))
      call avCT(3944, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3945)%branchCT(0:0))
      call avCT(3945, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2342)%branchCT(0:0))
      call avCT(2342, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3947)%branchCT(0:0))
      call avCT(3947, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4143)%branchCT(0:1))
      call avCT(4143, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2135, nGC_2135/))

      call avCT(4143, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2136, nGC_2136/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4162)%branchCT(0:0))
      call avCT(4162, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3955)%branchCT(0:0))
      call avCT(3955, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4192)%branchCT(0:0))
      call avCT(4192, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1494)%branchCT(0:1))
      call avCT(1494, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(1494, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2212, nGC_2213,        &
      nGC_2214/))

      allocate(vertices(1496)%branchCT(0:0))
      call avCT(1496, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(4681)%branchCT(0:0))
      call avCT(4681, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5063)%branchCT(0:1))
      call avCT(5063, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2071, nGC_2073,      &
      nGC_2073, nGC_2075/))

      call avCT(5063, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2072, nGC_2074,      &
      nGC_2074, nGC_2076/))

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2170/))

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4273)%branchCT(0:0))
      call avCT(4273, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3962)%branchCT(0:0))
      call avCT(3962, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1921/))

      allocate(vertices(4286)%branchCT(0:0))
      call avCT(4286, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1510)%branchCT(0:3))
      call avCT(1510, 0, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(1510, 1, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(1510, 2, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(1510, 3, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3965)%branchCT(0:0))
      call avCT(3965, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(4302)%branchCT(0:0))
      call avCT(4302, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4613)%branchCT(0:0))
      call avCT(4613, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3969)%branchCT(0:0))
      call avCT(3969, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(3971)%branchCT(0:0))
      call avCT(3971, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3619)%branchCT(0:0))
      call avCT(3619, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3972)%branchCT(0:0))
      call avCT(3972, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,       &
      nGC_2022/))

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3975)%branchCT(0:0))
      call avCT(3975, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3976)%branchCT(0:0))
      call avCT(3976, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(3833)%branchCT(0:1))
      call avCT(3833, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1962/))

      call avCT(3833, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3977)%branchCT(0:1))
      call avCT(3977, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(3977, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(3978)%branchCT(0:0))
      call avCT(3978, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2065/))

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4382)%branchCT(0:0))
      call avCT(4382, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2215/))

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(5064)%branchCT(0:1))
      call avCT(5064, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2202, nGC_2204,      &
      nGC_2204, nGC_2206/))

      call avCT(5064, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2203, nGC_2205,      &
      nGC_2205, nGC_2207/))

      allocate(vertices(4415)%branchCT(0:0))
      call avCT(4415, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3985)%branchCT(0:0))
      call avCT(3985, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3986)%branchCT(0:0))
      call avCT(3986, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1970, nGC_1969,       &
      nGC_1969/))

      allocate(vertices(3991)%branchCT(0:0))
      call avCT(3991, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(5065)%branchCT(0:0))
      call avCT(5065, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2216/))

      allocate(vertices(3993)%branchCT(0:0))
      call avCT(3993, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3995)%branchCT(0:0))
      call avCT(3995, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3998)%branchCT(0:0))
      call avCT(3998, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1269)%branchCT(0:0))
      call avCT(1269, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(1542)%branchCT(0:1))
      call avCT(1542, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(1542, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(4546)%branchCT(0:0))
      call avCT(4546, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4006)%branchCT(0:0))
      call avCT(4006, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4565)%branchCT(0:0))
      call avCT(4565, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4007)%branchCT(0:1))
      call avCT(4007, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(4007, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4009)%branchCT(0:0))
      call avCT(4009, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1556)%branchCT(0:0))
      call avCT(1556, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4011)%branchCT(0:0))
      call avCT(4011, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1015)%branchCT(0:1))
      call avCT(1015, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1997/))

      call avCT(1015, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2080, nGC_2080/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4015)%branchCT(0:0))
      call avCT(4015, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4016)%branchCT(0:1))
      call avCT(4016, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(4016, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(1563)%branchCT(0:1))
      call avCT(1563, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(1563, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4526)%branchCT(0:0))
      call avCT(4526, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4020)%branchCT(0:0))
      call avCT(4020, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4021)%branchCT(0:0))
      call avCT(4021, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2979)%branchCT(0:1))
      call avCT(2979, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(2979, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(497)%branchCT(0:1))
      call avCT(497, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(497, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(4026)%branchCT(0:0))
      call avCT(4026, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4027)%branchCT(0:0))
      call avCT(4027, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2216/))

      allocate(vertices(1567)%branchCT(0:0))
      call avCT(1567, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(3500)%branchCT(0:1))
      call avCT(3500, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2128, nGC_2130/))

      call avCT(3500, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2129, nGC_2131/))

      allocate(vertices(3929)%branchCT(0:0))
      call avCT(3929, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2217/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4035)%branchCT(0:0))
      call avCT(4035, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(1570)%branchCT(0:0))
      call avCT(1570, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1571)%branchCT(0:0))
      call avCT(1571, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2024/))

      allocate(vertices(4039)%branchCT(0:0))
      call avCT(4039, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4763)%branchCT(0:0))
      call avCT(4763, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2065)%branchCT(0:0))
      call avCT(2065, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4772)%branchCT(0:0))
      call avCT(4772, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1970,       &
      nGC_1969/))

      allocate(vertices(2603)%branchCT(0:1))
      call avCT(2603, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(2603, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(4042)%branchCT(0:0))
      call avCT(4042, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4044)%branchCT(0:0))
      call avCT(4044, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(4047)%branchCT(0:0))
      call avCT(4047, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(4049)%branchCT(0:0))
      call avCT(4049, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2019/))

      allocate(vertices(4052)%branchCT(0:0))
      call avCT(4052, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4055)%branchCT(0:1))
      call avCT(4055, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(4055, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4058)%branchCT(0:0))
      call avCT(4058, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4060)%branchCT(0:0))
      call avCT(4060, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(4061)%branchCT(0:0))
      call avCT(4061, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4062)%branchCT(0:0))
      call avCT(4062, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4069)%branchCT(0:0))
      call avCT(4069, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2218/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4945)%branchCT(0:0))
      call avCT(4945, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(4074)%branchCT(0:0))
      call avCT(4074, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4954)%branchCT(0:0))
      call avCT(4954, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4077)%branchCT(0:0))
      call avCT(4077, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4078)%branchCT(0:0))
      call avCT(4078, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(4520)%branchCT(0:0))
      call avCT(4520, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4082)%branchCT(0:0))
      call avCT(4082, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4087)%branchCT(0:0))
      call avCT(4087, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1609)%branchCT(0:0))
      call avCT(1609, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1211)%branchCT(0:1))
      call avCT(1211, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2139, nGC_2137/))

      call avCT(1211, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2140, nGC_2138/))

      allocate(vertices(1612)%branchCT(0:1))
      call avCT(1612, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2026/))

      call avCT(1612, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4115)%branchCT(0:0))
      call avCT(4115, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1618)%branchCT(0:1))
      call avCT(1618, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(1618, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2263)%branchCT(0:1))
      call avCT(2263, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2026/))

      call avCT(2263, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(4024)%branchCT(0:0))
      call avCT(4024, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2052/))

      allocate(vertices(2931)%branchCT(0:0))
      call avCT(2931, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(4106)%branchCT(0:0))
      call avCT(4106, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2169/))

      allocate(vertices(4107)%branchCT(0:0))
      call avCT(4107, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4108)%branchCT(0:0))
      call avCT(4108, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(1630)%branchCT(0:0))
      call avCT(1630, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3697)%branchCT(0:1))
      call avCT(3697, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2171, nGC_2171/))

      call avCT(3697, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2172, nGC_2172/))

      allocate(vertices(4116)%branchCT(0:0))
      call avCT(4116, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4117)%branchCT(0:0))
      call avCT(4117, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(4438)%branchCT(0:0))
      call avCT(4438, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1638)%branchCT(0:1))
      call avCT(1638, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(1638, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(5069)%branchCT(0:1))
      call avCT(5069, 0, 16, 8, 0, VV1, (/2, 0/), (/nGC_2219, nGC_2220/))

      call avCT(5069, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_2219, nGC_2220/))

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(1515)%branchCT(0:1))
      call avCT(1515, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_2026/))

      call avCT(1515, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2092/))

      allocate(vertices(4122)%branchCT(0:0))
      call avCT(4122, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3943)%branchCT(0:0))
      call avCT(3943, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1890)%branchCT(0:0))
      call avCT(1890, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1642)%branchCT(0:0))
      call avCT(1642, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1644)%branchCT(0:0))
      call avCT(1644, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4917)%branchCT(0:0))
      call avCT(4917, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4124)%branchCT(0:0))
      call avCT(4124, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2033, nGC_2033,       &
      nGC_2034/))

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1654)%branchCT(0:0))
      call avCT(1654, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4131)%branchCT(0:0))
      call avCT(4131, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4133)%branchCT(0:0))
      call avCT(4133, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4138)%branchCT(0:0))
      call avCT(4138, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(1659)%branchCT(0:1))
      call avCT(1659, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2026/))

      call avCT(1659, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(4141)%branchCT(0:0))
      call avCT(4141, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4839)%branchCT(0:0))
      call avCT(4839, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4146)%branchCT(0:0))
      call avCT(4146, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4147)%branchCT(0:0))
      call avCT(4147, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1672)%branchCT(0:3))
      call avCT(1672, 0, 92, 2, 0, FVFa1, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1672, 1, 92, 2, 0, FVFa1, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(1672, 2, 93, 3, 0, FVFa1, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1672, 3, 93, 3, 0, FVFa1, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(4155)%branchCT(0:0))
      call avCT(4155, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4156)%branchCT(0:0))
      call avCT(4156, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4158)%branchCT(0:0))
      call avCT(4158, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1679)%branchCT(0:0))
      call avCT(1679, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4160)%branchCT(0:0))
      call avCT(4160, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(1683)%branchCT(0:0))
      call avCT(1683, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4167)%branchCT(0:0))
      call avCT(4167, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(4170)%branchCT(0:0))
      call avCT(4170, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1969,       &
      nGC_1970/))

      allocate(vertices(1688)%branchCT(0:0))
      call avCT(1688, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5071)%branchCT(0:0))
      call avCT(5071, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2200/))

      allocate(vertices(4175)%branchCT(0:0))
      call avCT(4175, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4176)%branchCT(0:0))
      call avCT(4176, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2064/))

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,        &
      nGC_2021/))

      allocate(vertices(4709)%branchCT(0:0))
      call avCT(4709, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1702)%branchCT(0:3))
      call avCT(1702, 0, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1702, 1, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2193, nGC_2195/))

      call avCT(1702, 2, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2192, nGC_2194/))

      call avCT(1702, 3, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2193, nGC_2195/))

      allocate(vertices(1703)%branchCT(0:0))
      call avCT(1703, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1704)%branchCT(0:1))
      call avCT(1704, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(1704, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4187)%branchCT(0:0))
      call avCT(4187, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1921/))

      allocate(vertices(4189)%branchCT(0:0))
      call avCT(4189, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2163, nGC_2164,        &
      nGC_2165/))

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(4196)%branchCT(0:0))
      call avCT(4196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4328)%branchCT(0:0))
      call avCT(4328, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4198)%branchCT(0:0))
      call avCT(4198, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4199)%branchCT(0:3))
      call avCT(4199, 0, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(4199, 1, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(4199, 2, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(4199, 3, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(4200)%branchCT(0:0))
      call avCT(4200, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(751)%branchCT(0:0))
      call avCT(751, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4205)%branchCT(0:0))
      call avCT(4205, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4207)%branchCT(0:0))
      call avCT(4207, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1926/))

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1926/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4218)%branchCT(0:0))
      call avCT(4218, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4220)%branchCT(0:0))
      call avCT(4220, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(4548)%branchCT(0:0))
      call avCT(4548, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4223)%branchCT(0:0))
      call avCT(4223, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2179, nGC_2180/))

      allocate(vertices(4228)%branchCT(0:0))
      call avCT(4228, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(4229)%branchCT(0:0))
      call avCT(4229, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(882)%branchCT(0:1))
      call avCT(882, 0, 84, 1, 0, VFaF1, (/0, 3/), (/nGC_1962/))

      call avCT(882, 1, 84, 1, 0, VFaF1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(3443)%branchCT(0:1))
      call avCT(3443, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2189, nGC_2189/))

      call avCT(3443, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2190, nGC_2190/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1746)%branchCT(0:0))
      call avCT(1746, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1921/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2217)%branchCT(0:1))
      call avCT(2217, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1962/))

      call avCT(2217, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(4240)%branchCT(0:0))
      call avCT(4240, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2221/))

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1763)%branchCT(0:0))
      call avCT(1763, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2120, nGC_2121/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1764)%branchCT(0:1))
      call avCT(1764, 0, 84, 1, 0, VFaF1, (/0, 3/), (/nGC_1997/))

      call avCT(1764, 1, 84, 1, 0, VFaF1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(4244)%branchCT(0:0))
      call avCT(4244, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(4678)%branchCT(0:0))
      call avCT(4678, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(4227)%branchCT(0:1))
      call avCT(4227, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(4227, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(4247)%branchCT(0:0))
      call avCT(4247, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4248)%branchCT(0:0))
      call avCT(4248, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4250)%branchCT(0:0))
      call avCT(4250, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1961/))

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2421)%branchCT(0:0))
      call avCT(2421, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4255)%branchCT(0:0))
      call avCT(4255, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(4257)%branchCT(0:0))
      call avCT(4257, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4258)%branchCT(0:0))
      call avCT(4258, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4259)%branchCT(0:0))
      call avCT(4259, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(4260)%branchCT(0:0))
      call avCT(4260, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(4261)%branchCT(0:0))
      call avCT(4261, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4262)%branchCT(0:0))
      call avCT(4262, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4263)%branchCT(0:1))
      call avCT(4263, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2110, nGC_2108/))

      call avCT(4263, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2111, nGC_2109/))

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2126/))

      allocate(vertices(3961)%branchCT(0:0))
      call avCT(3961, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4266)%branchCT(0:1))
      call avCT(4266, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1977, nGC_1975/))

      call avCT(4266, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1978, nGC_1976/))

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2222/))

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(4272)%branchCT(0:0))
      call avCT(4272, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1777)%branchCT(0:1))
      call avCT(1777, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(1777, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(1506)%branchCT(0:0))
      call avCT(1506, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5077)%branchCT(0:1))
      call avCT(5077, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2142, nGC_2144,       &
      nGC_2144, nGC_2146/))

      call avCT(5077, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2143, nGC_2145,       &
      nGC_2145, nGC_2147/))

      allocate(vertices(1780)%branchCT(0:1))
      call avCT(1780, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(1780, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(3207)%branchCT(0:0))
      call avCT(3207, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4517)%branchCT(0:1))
      call avCT(4517, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2026/))

      call avCT(4517, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1783)%branchCT(0:0))
      call avCT(1783, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1784)%branchCT(0:3))
      call avCT(1784, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1784, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(1784, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1784, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4278)%branchCT(0:1))
      call avCT(4278, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(4278, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(4280)%branchCT(0:0))
      call avCT(4280, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2177/))

      allocate(vertices(4283)%branchCT(0:1))
      call avCT(4283, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(4283, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4285)%branchCT(0:0))
      call avCT(4285, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3725)%branchCT(0:1))
      call avCT(3725, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1997/))

      call avCT(3725, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(3694)%branchCT(0:1))
      call avCT(3694, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3694, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(1800)%branchCT(0:3))
      call avCT(1800, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(1800, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2154, nGC_2156/))

      call avCT(1800, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2155, nGC_2157/))

      call avCT(1800, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4289)%branchCT(0:0))
      call avCT(4289, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1200)%branchCT(0:5))
      call avCT(1200, 0, 62, 7, 0, VUaUV0, (/4, 0/), (/nGC_2116/))

      call avCT(1200, 1, 59, 7, 0, VUaUV0, (/4, 0/), (/nGC_2116/))

      call avCT(1200, 2, 64, 6, 0, VUaUV0, (/4, 0/), (/nGC_2117/))

      call avCT(1200, 3, 61, 7, 0, VUaUV0, (/4, 0/), (/nGC_2116/))

      call avCT(1200, 4, 60, 7, 0, VUaUV0, (/4, 0/), (/nGC_2116/))

      call avCT(1200, 5, 63, 6, 0, VUaUV0, (/4, 0/), (/nGC_2117/))

      allocate(vertices(4291)%branchCT(0:0))
      call avCT(4291, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2223/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(4081)%branchCT(0:0))
      call avCT(4081, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1811)%branchCT(0:1))
      call avCT(1811, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(1811, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(4294)%branchCT(0:0))
      call avCT(4294, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2224/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2148/))

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4300)%branchCT(0:1))
      call avCT(4300, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(4300, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(4301)%branchCT(0:0))
      call avCT(4301, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3966)%branchCT(0:0))
      call avCT(3966, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1890/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
